Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1
/
b2b
/
{year}
/
{month}
GSTR-1 B2B
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/b2b/{year}/{month} \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/b2b/{year}/{month}"

headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/b2b/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "data": {
    "data": {
      "b2b": [
        {
          "cfs": "N",
          "ctin": "07ABCCD6123D1YZ",
          "inv": [
            {
              "cflag": "N",
              "chksum": "4b571a762c1c17818ff448fef1d690c95931868b72299f0671936720ba427fcd",
              "flag": "U",
              "idt": "29-12-2023",
              "inum": "78618",
              "inv_typ": "R",
              "irn": "qoycq59t30429eb5dfa38d3b6efa65346dcff127abf439c76e3afd8fo3vtf9rn",
              "irngendate": "03-01-2024",
              "itms": [
                {
                  "itm_det": {
                    "camt": 0,
                    "csamt": 0,
                    "iamt": 719.82,
                    "rt": 18,
                    "samt": 0,
                    "txval": 3999
                  },
                  "num": 1
                }
              ],
              "pos": "07",
              "rchrg": "N",
              "srctyp": "e-Invoice",
              "updby": "S",
              "val": 4718.82
            }
          ]
        }
      ]
    },
    "status_cd": "1"
  },
  "timestamp": 1763446641000,
  "transaction_id": "25411a6e-3fa0-4e49-b5d6-d27efc595237"
}

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.

x-api-key
string
required

API key for identification

x-api-version
string
default:1.0.0

API version

Path Parameters

year
string
required
month
string
required

Query Parameters

action_required
string

optional Status filter for filtering the invoices. Possible values: Y or N. Status filter for filtering the invoices. Use filter value Y to fetches the invoices where tax payer need to take action. Already accepted or uploaded invoices can be fetched by using filter value N.

Example:

"{{action_required}}"

from
string

From Date (DD/MM/YYYY)

Example:

"{{from}}"

counterparty_gstin
string

optional Counter party GSTIN

Example:

"{{gstin}}"

Response

200 - application/json

200 Success / 200 Filtered by counterparty GSTIN / RET11416 No data found

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"8a8a7de9-a3bc-42f2-836d-6ddb854fdc94"